import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../../core/models/account_head_model.dart';
import '../../../core/values/colors.dart';
import '../../../core/values/strings.dart';
import '../controllers/account_head_controller.dart';

class AccountHeadSection extends GetView<AccountHeadController> {
  final AsyncSnapshot<List<AccountHead>> accHead;
  final Function canDelete;
  final AccountHeadController _accountHeadController =
      Get.put(AccountHeadController());

  AccountHeadSection({Key? key, required this.accHead, required this.canDelete})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ListView.separated(
      separatorBuilder: (ctx, index) => Padding(
        padding: const EdgeInsets.only(right: 70.0, left: 70),
        child: const Divider(color: Colors.grey),
      ),
      itemCount: accHead.data!.length,
      itemBuilder: (ctx, index) {
        return Padding(
          padding: const EdgeInsets.symmetric(horizontal: 8.0),
          child: ListTile(
            title: Text(
              accHead.data![index].name,
              style: accHead.data![index].type == 1
                  ? TextStyles.normal16Green
                  : TextStyles.normal16Red,
            ),
            leading: Icon(
              Icons.account_balance_wallet,
              color: accHead.data![index].type == 1 ? buttonGreen : buttonRed,
            ),
            trailing: GetBuilder<AccountHeadController>(
              builder: (logic) {
                return FutureBuilder(
                  future: canDelete(accHead.data![index]),
                  builder: (context, snapshot) {
                    if (snapshot.hasData && (snapshot.data == true)) {
                      return Padding(
                        padding: const EdgeInsets.only(right: 58.0),
                        child: InkWell(
                          child:
                              const Icon(Icons.delete, color: Colors.redAccent),
                          onTap: () async {
                            _accountHeadController
                                .deleteHead(accHead.data![index]);
                          },
                        ),
                      );
                    }
                    return SizedBox();
                  },
                );
              },
            ),
          ),
        );
      },
    );
  }
}
